# Keys reference

> Check a key and what it may do.

Source: https://docs.orkero.app/reference/keys

Check a key and what it may do.

| Request | What it does | Scope |
| --- | --- | --- |
| [`GET /v1/ping`](#ping) | Check a key | any key |

## Check a key

`GET /v1/ping`

Whose key it is, what it may do and which practices it covers.

Scope: any live or test key.

### Example

```bash
curl "https://api.orkero.app/v1/ping" \
  -H "Authorization: Bearer $ORKERO_KEY"
```
```typescript
const res = await fetch("https://api.orkero.app/v1/ping", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.ORKERO_KEY}`,
  },
});
const answer = await res.json();
```
```python
import os, requests

res = requests.get(
    "https://api.orkero.app/v1/ping",
    headers={"Authorization": f"Bearer {os.environ['ORKERO_KEY']}"},
)
answer = res.json()
```

### Answer (200)

```json
{
  "ok": true,
  "organisation": {
    "id": "0b6e5a2c-4f1d-4c8e-9a3b-2d7f6e1c0a99",
    "name": "<name>"
  },
  "key": {
    "starts": "<starts>",
    "test": true,
    "scopes": [
      "feedback.signals"
    ]
  },
  "practices": [
    {
      "id": "0b6e5a2c-4f1d-4c8e-9a3b-2d7f6e1c0a99",
      "name": "<name>"
    }
  ],
  "request_id": "web-000123"
}
```

### Errors

| Status | When |
| --- | --- |
| 401 | `no_such_key`, `key_switched_off`, `key_ended`. |
| 429 | `too_many_requests`, `too_many_requests_today`, `too_many_wrong_keys`, `booking_limit`, `practice_busy`. |
